from ZmqEventPoster import ZmqEventPoster
from threading import Lock

z=None
z_mutex = Lock()

def start_zmq():
    global z
    global z_mutex
    
    z_mutex.acquire()
    if z is None:
        print("Starting Zmq Event Poster")
        z = ZmqEventPoster()
        z.start()
        print("Zmq event poster started..")
    z_mutex.release()

def stop_zmq(): 
    global z
    global z_mutex

    z_mutex.acquire()
    if z is not None:
        print("Stopping Zmq Event Poster")
        z.stop()
        z.join()
        z=None
    z_mutex.release()

user_count=0

def show_user_count():
    print("Users: ",user_count)

def user_count_inc():
    global user_count

    if user_count == 0:
        start_zmq()
    user_count +=1
    show_user_count()

def user_count_dec():
    global user_count

    user_count -=1
    if user_count == 0:
        stop_zmq()
    show_user_count()

